project('orotool', 'cpp', 'c',
  version: '0.2.0',
  meson_version: '>=0.55.0',
  default_options: ['buildtype=debug', 'cpp_std=gnu++17', 'b_ndebug=if-release'],
  license: 'GPL3+',
)

duckhandy_inc = include_directories('subprojects/duckhandy/include')
date_inc = include_directories('subprojects/date/include')
magic_enum_inc = include_directories('subprojects/magic_enum/include')

full_config_dir = get_option('prefix') / get_option('sysconfdir')

subdir('src')

if meson.source_root() != full_config_dir
  install_data(sources: meson.project_name() + '.conf', install_dir: full_config_dir)
endif
